XoopsCubeはもう利用できなくなるのかも

このトピックの投稿一覧へ

なし XoopsCubeはもう利用できなくなるのかも

msg# 1
depth:
0
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2021/12/27 5:41 | 最終変更
タツ  管理人   投稿数: 2226
現在、このホームページはXoopsCubeを利用中です。とても気になるのが高いphpバージョンに対応していないことです。今回サーバー側でリニューアルが行われ、アクセスすると真っ白になっていました。(頭も真っ白。。。)

原因は
1.XoopsCubeが高いphpバージョンに対応していない。
まず考えられることはリニューアルされたphpバージョンに対応していないことです。問合せをするとやはり、XoopsX (ten) Distribution で置き換えて動作確認をしてほしいとの回答でした。

2.サーバーのデータが正常に取得できていない。
まずは現データベースのデータを取得しローカルサーバーに反映してみることから試してみた所、正常に動作しない事が分りました。そこで、現在のデータベースと以前バックアップしたデータを比較してみると抜けているデータがあり正常に移行されていないことが分り、再度問合せを行い、移行時のデータをダンプファイルで取得し、SQLファイルに置き換え現データベースに流し込んだところ正常に表示された次第です。

この間、XoopsX (ten) Distributionをローカルサーバーにてインストールを試みましたが、やはり高いPHPバージョン(7以上)ではインストールした時点でエラーが発生します。無論利用しているモジュールも使えなくなるものもあるでしょう。今回はどうにか復帰しましたが、今後サーバーのPHPバージョンが高いものしか利用できくなれば別の方法を考えねばなりません。かといって改変できる技量は持ち合わせていないので困ったものです。

折角お気に入りのソフトなのに開発するメンバーが殆どいなくなってしまったような気がしてとても残念に思います。
投票数:0 平均点:0.00

投稿ツリー

  条件検索へ


旅と気ままなフォーラム新着投稿

旅と気ままなフォーラムメニュー

欲しい商品が必ず見つかるメジャーなネットショップ

このサイト内の検索

オンライン状況

21 人のユーザが現在オンラインです。 (2 人のユーザが 旅と気ままなフォーラム を参照しています。)

登録ユーザ: 0
ゲスト: 21

もっと...

Facebook,RSSリンク表示


RSSicon 最新記事のRSS